Module java.prefs
Package java.util.prefs

## Class BackingStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.prefs.BackingStoreException

- All Implemented Interfaces:
    `Serializable`

      public class BackingStoreException
      extends Exception

  Thrown to indicate that a preferences operation could not complete because of a failure in the backing store, or a failure to contact the backing store.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BackingStoreException​(String s)` | Constructs a BackingStoreException with the specified detail message.
    `BackingStoreException​(Throwable cause)` | Constructs a BackingStoreException with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### BackingStoreException

          public BackingStoreException​(String s)

      Constructs a BackingStoreException with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### BackingStoreException

          public BackingStoreException​(Throwable cause)

      Constructs a BackingStoreException with the specified cause.
      Parameters:
        `cause` - the cause